Skip to main content
Document Operations

List document's dynamic fields

<small>Requires an API token with the Document Reader role.</small>

GET
/documents/{document}/dynamic-fields

Lists a document's dynamic fields and their values.

Filtering

The dynamic field list can be filtered by visibility. The available filter attributes are listed under filter in the Query Parameters section of this page.

To specify filters, use array notation in the request query string to specify one or more filter values.

For example, to filter for only fields that appear in the rendered document content, the query string should contain:

filter[visibility]=visible

Entries with the multi_select value type are only included in the response if you are using API version 2026-04-02 or newer.

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

documentstringrequired

The document UUID

filter[visibility]enum<string>query

Filters the returned fields by whether they appear in the document. visible returns only fields that are rendered into the document's content, or, for PDF-based documents, placed on one of its pages. not_visible returns only fields that are not, including fields that are referenced by a condition but never rendered. The default is all, which returns every field.

Available options: all, visible, not_visible

Response

application/json

Array of DynamicFieldResource

dataobject[]required